package com.tzy.service;

import com.tzy.app.dto.order.OrderSubmitDTO;
import com.tzy.app.dto.order.PrizeOrderParam;
import com.tzy.common.dto.OutDTO;
import com.tzy.pojo.item.OrderList;
import com.tzy.sportcard.group.domain.CardGroupOrderInfo;

import java.util.List;

public interface MallOrderService {

    void cancelOrder(CardGroupOrderInfo orderInfo);

    List<OrderList> selectByOrder(Long orderId);

    OutDTO buyOfPoint(Integer userId, Integer skuId, Object addressId, Integer purchaseCount);

    List<OrderList> getOrderListByOrderId(Long orderId);

    OrderSubmitDTO submitPrizeOrder(PrizeOrderParam prizeOrderParam);

	void cancelDrawOrder(CardGroupOrderInfo orderInfo);

    /**
     * 抽卡机订单取消(saas服务中)
     * @param orderId
     */
    void cancelDrawOrderNew(Long orderId);
}
